<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.letsmeditate.firebase">

    <uses-permission android:name="android.permission.INTERNET" />

    <!-- To auto-complete the email text field in the login form with the user's emails -->
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.READ_PROFILE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />

    <application
        android:name=".app.LetsApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"

        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name="com.letsmeditate.firebase.LoginActivity"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.letsmeditate.firebase.MainActivity"
            android:label="@string/title_activity_profile"
            android:theme="@style/MaterialDrawerTheme.Light.DarkToolbar" />
        <activity
            android:name="com.letsmeditate.firebase.SignupActivity"
            android:label="@string/title_activity_login"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name="com.letsmeditate.firebase.ResetPasswordActivity"
            android:label="@string/title_activity_reset_password"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>

        <activity
            android:name="com.letsmeditate.firebase.RealTimeDbActivity"
            android:label="@string/title_activity_reset_password"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>

        <activity
            android:name="com.letsmeditate.firebase.StorageActivity"
            android:label="@string/title_activity_reset_password"
            android:launchMode="singleTask"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>

        <activity
            android:name="com.letsmeditate.firebase.EmailLoginActivity"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>

        <activity
            android:name="com.letsmeditate.firebase.NotificationActivity"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>
        <activity
            android:name="com.letsmeditate.firebase.CrashActivity"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>
        <activity
            android:name="com.letsmeditate.firebase.FirebaseAnalyticsActivity"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>

        <activity
            android:name="com.letsmeditate.firebase.RemoteConfigActivity"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>

        <!-- Firebase Notifications -->
        <service android:name="com.letsmeditate.firebase.service.MyFirebaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <service android:name="com.letsmeditate.firebase.service.MyFirebaseInstanceIDService">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT" />
            </intent-filter>
        </service>

        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version"
            tools:replace="android:value" />

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />

        <service
            android:name=".service.MyDownloadService"
            android:exported="false"/>

        <service
            android:name=".service.MyUploadService"
            android:exported="false" />

    </application>

</manifest>